# svn_time.h File Reference

Time/date utilities. More...

`#include <apr_pools.h>`
`#include <apr_time.h>`
`#include "svn_error.h"`

Go to the source code of this file.

## Functions
const char * | svn_time_to_cstring (apr_time_t when, apr_pool_t *pool)
| Convert when to a `const char *` representation allocated in pool.
svn_error_t * | svn_time_from_cstring (apr_time_t *when, const char *data, apr_pool_t *pool)
| Convert data to an `apr_time_t` when.
const char * | svn_time_to_human_cstring (apr_time_t when, apr_pool_t *pool)
| Convert when to a `const char *` representation allocated in pool, suitable for human display in UTF8.
svn_error_t * | svn_parse_date (svn_boolean_t *matched, apr_time_t *result, const char *text, apr_time_t now, apr_pool_t *pool)
| Convert a human-readable date text into an `apr_time_t`, using now as the current time and storing the result in result.
SVN_DEPRECATED void | svn_sleep_for_timestamps (void)
| Sleep until the next second, to ensure that any files modified after we exit have a different timestamp than the one we recorded.

## Detailed Description

Time/date utilities.

Definition in file svn_time.h.

## Function Documentation

svn_error_t* svn_parse_date | ( | svn_boolean_t * | matched,
|  | apr_time_t * | result,
|  | const char * | text,
|  | apr_time_t | now,
|  | apr_pool_t * | pool |
| ) |  |  |

Convert a human-readable date text into an `apr_time_t`, using now as the current time and storing the result in result.

The local time zone will be used to compute the appropriate GMT offset if text contains a local time specification. Set matched to indicate whether or not text was parsed successfully. Perform any allocation in pool. Return an error iff an internal error (rather than a simple parse error) occurs.

SVN_DEPRECATED void svn_sleep_for_timestamps | ( | void |  | ) |

Sleep until the next second, to ensure that any files modified after we exit have a different timestamp than the one we recorded.

Deprecated:
  Provided for backward compatibility with the 1.5 API. Use svn_io_sleep_for_timestamps() instead.

svn_error_t* svn_time_from_cstring | ( | apr_time_t * | when,
|  | const char * | data,
|  | apr_pool_t * | pool |
| ) |  |  |

Convert data to an `apr_time_t` when.

Use pool for temporary memory allocation.

const char* svn_time_to_cstring | ( | apr_time_t | when,
|  | apr_pool_t * | pool |
| ) |  |  |

Convert when to a `const char *` representation allocated in pool.

Use svn_time_from_cstring() for the reverse conversion.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines